Subject: bug#20662: 25.0.50; Remote copy through Dired fails

From: Manuel Uberti <[email-masked]>
Date: Sat, 30 May 2015 10:50:29 +0200

On 30/05/15 10:38, Michael Albinus wrote:
> Manuel Uberti <[email-masked]> writes:
> 
> Hi Manuel,
> 
>>> Have you pulled Emacs from the repository, recompiled, and restarted Emacs?
>>
>> Yes, I pulled Emacs from the repository, recompiled, restarted and did
>> the test.
>>
>> This is my current Emacs version:
>>
>> GNU Emacs 25.0.50.2 (i686-pc-linux-gnu, GTK+ Version 3.14.5)
>>  of 2015-05-30 on bebop
>>
>> Head is now on this commit: 56af96e.
> 
> That's OK, my commit was earlier (56af96e54ee2402a07105fe60a5d6c34d697229d).
> 
>> I did the test again, find attached the debug trace.
> 
> There's still no trace of tramp-call-process-region :-(
> 
> Could you, please, check whether you have the proper Tramp version in
> the load-path:
> 
> (locate-library "tramp-sh")
> 
> And in the reported file, there must be at line 5590
> 
> 		 (apply
> 		  'tramp-call-process-region ,vec beg end
> 		  (car (split-string ,compress)) t t nil
> 		  (cdr (split-string ,compress))))
> 
>> Thank you for your patience on this.
>>
>> Manuel Uberti
> 
> Best regards, Michael.
> 

There is no tramp-call-process-region in that file, althoug I saw you
add that function from the log.

I usually build the sources like this:

./configure
make
sudo make install
make clean

Am I doing something wrong?

Manuel Uberti
<[email-masked]>